Sponsored Links

Sponsored Links

Video: E3 PS3 CFW v4.30 on PlayStation 3 Factory 3.56 with Flasher


Sponsored Links
111w ago - This weekend Spanish PS3 developer jubytoo has shared a video demo and the related files to allow those with a Factory 3.56 OFW (minimum) console and a PS3 Hardware Flasher to install the recently released E3 PS3 CFW 4.30 with no dongle required!

Download: [Register or Login to view links] / [Register or Login to view links] (Mirror) / [Register or Login to view links] (Mirror #2) / [Register or Login to view links]

Below is the demo video and details, roughly translated: CFW 4.30 GOT IN CONSOLE WITH FACTORY minimum firmware 3.56 (FLASHER NEEDED)

Those of you currently with minimum version 3.56 PS3 are in luck With the collaboration of Varicella and Luckymas we have installed CFW 4.30 E3 in such consoles.

Apart indicate that with these patches also apply to install CFW 4.30 E3 directly from any superior to 4.31 OFW no consoles also manufactures minimum version of 3.55 or less and saved the downgrade, without dongle, without factory faster.

For now only in memories NOR, NAND patches for the climb soon after being tested.

We will need these patches Patchv1 Three Musketeers: [Register or Login to view links]

No need dongle but if a flasher to get our dump, several statutes on how to do it with eol progskeet, E3 or teensy.

Since having our dump patches the following offset:

[Register or Login to view code]

Since they write patched with a flasher, start the PS3 ripped recovery in a pen and insert the CFW 4.30 PS3/UPDATE E3 in the folder (if you were in 4.30 OFW ripped console normally, in this case enter recovery and update E3 4.30 CFW from there)

Tested on multiple consoles FACTORY OFW 3.56. (We assume that on PS3 with 3.60 OFW METLDR2 NO MINIMUM FACTORY WORKS BUT NOT TESTED)

WE ARE NOT RESPONSIBLE FOR MISUSE CAN BE DONE AND THAT MAY CAUSE BRICK.

Video PS3 with version 3.56 running CFW 4.30 factory





DATA TO CONSIDER

  • AT LEAST 3.56OFW PS3 FACTORY WITH YOU CAN NOT NEVER DOWN 4.30 UP BUT WITH OTHER FUTURE PATCHES OR ANOTHER INSTALL CFW OFW SI HOS get tired
  • THESE ARE ONLY PATCHES TO INSTALL CFW 4.30 E3 multiMAN OTHER CFW EVEN BEING DAMAGED DATA INDICATE OS 30.4 when trying to install from the Recovery.

END




Stay tuned for more PS3 Hacks and PS3 CFW news, follow us on Twitter, Facebook and be sure to drop by the PS3 Hacks and PS3 Custom Firmware Forums for the latest PlayStation 3 scene and PlayStation 4 scene updates and fresh homebrew releases!

Comments 142 Comments - Go to Forum Thread »

• Please Register at PS3News.com or Login to make comments on Site News articles.
 
#17 - BluRay - 111w ago
BluRay's Avatar
Quote Originally Posted by solidtudor View Post
Is it possible to use an iphone 3gs for this task instead of e3 flasher or teneesy?

What? Where did you get that? iPhones just can't replace flashers.

Quote Originally Posted by pollicin123 View Post
using the minverchek my ps3 said that my minum OFW il 3.65, can i o something at the moment? thanks guys!

Sadly, no, but the way the scene is moving is quite amazing, so perhaps you will get lucky soon. I said that this was impossible a few days ago, glad the "Three Musketeers" proved me wrong.

There are several downgrading tutorials, so I'd say you should try to look for those. There is lot's of info you should know before getting a flasher, so if you're either unwilling or uncapable of doing some of the search yourself, sadly, they aren't for you then, as flashers aren't fool-proof or newbie friendly. Anyway, once you know the basics, feel free to post on the support section and I will gladly help you.

#16 - Shugobox - 111w ago
Shugobox's Avatar
This is only for a relatively small section of console models, the ones that don't have metldr2 but came from factory with 3.56+ and were hardware locked to downgrades: ps3devwiki.com/wiki/SKU_Models

This hack will apply to all the 25xx models, including the latest ones. It will not apply to the 3k models.

Also, in their page it's explained that it can NOT be used to downgrade. On these consoles you are stuck at the firmware you have, but the hack will allow you to update into a CFW as long as the CFW is of higher or equal version as the one you are using (according to them, anyway).

So you cannot go to 3.55 by any means, but if you are on 4.30 or lower you can install a CFW ( They specifically mention the E3 CFW, no idea if others).

So again, this DOES NOT apply to all current PS3 consoles, but it does broaden the amount of consoles that can now be hacked into CFW by adding all the CECH-25xx models.

#15 - pollicin123 - 111w ago
pollicin123's Avatar
Quote Originally Posted by solidtudor View Post
Is it possible to use an iphone 3gs for this task instead of e3 flasher or teneesy?


Why do you want to use a iphone 3gs? is it possible? is possible to use this guide for every ps3 with avery ofw?

Thanks in advice

#14 - StanSmith - 111w ago
StanSmith's Avatar
Quote Originally Posted by Foo View Post
This is not for every PS3. It is for those who minimum firmware is 3.56. You can use MinVerChk to see what your factory firmware is and if its above 3.56 this will work for you.


An easy way is to try to install Rogero 4.30. I did and it came up with a message "This PS3 can only use a firmware above 3.72" or something similar to that.

#13 - mistarz - 111w ago
mistarz's Avatar
Guys if i understand this right then we can install any 4.xx CFW on OFW above 3.55.We need to patch this files... can someone help me with that?

Check it out! > pastie.org/private/3np6uj6md1occbctdeir6a

Since the LV0 keys have now been leaked, I believe I can now share this info with you, to help out those who are trying to build their own 4.x CFW :

The NPDRM ECDSA signature in the SELF footer is checked by lv2. It first asks appldr to tell it whether or not the signature is to be checked, and appldr will only set the flag if the SELF is a NPDRM with key revision from 3.56+ (the ones without private keys). This means that the SELF files signed with the new 3.56+ keys still don't have their ecdsa checked (probably to speed up file loading).

If appldr says the ecdsa signature must be checked, then lv2 will verify it itself, and return an error if it's not correct. There are many ways to patch this check out.

1 - Patch out the check for the key revision in appldr
2 - Patch out the "set flag to 1" in appldr if the key revision is < 0xB
3 - Patch out the code in lv2 that stores the result from appldr
4 - Patch out the actual sigcheck function from lv2.
5 - Ignore the result of the ecdsa from lv2.

Here is one of the patches (the 4th one, patching out the check function from lv2) :
In memory 0x800000000005A2A8, which corresponds to offset 0x6a2a8 in lv2_kernel.elf, replace :

e9 22 99 90 7c 08 02 a6

With :

38 60 00 00 4e 80 00 20

This is for the 4.21 kernel (that was the latest one when I investigated this), I will leave it as an exercise to the reader to find the right offsets for the 4.25 and upcoming 4.30 kernel files.

And here's another bit of info... in 4.21 lv2, at memory address 0x800000000005AA98 (you figure out the file offset yourself), that's where lv2 loads the 'check_signature_flag' result from appldr, so if you prefer implementing method 3 above, just replace the 'ld %r0, flag_result_from_appldr' by 'ld %r0, 0' and you got another method of patching it out. Either solutions should work just the same though.
Enjoy homebrew back on 4.x CFW....

p.s: Thanks to flatz and glu0n who helped reversed this bit of info.

M

 

Sponsored Links

Sponsored Links
Sponsored Links

Sponsored Links







Advertising - Affiliates - Contact Us - PS3 Downloads - Privacy Statement - Site Rules - Top - © 2015 PlayStation 3 News